#ifndef Screen_h
#define Screen_h

#include <Wire.h>
#include <Adafruit_SSD1306.h>
#include "Sensors.h"

class Screen {
	Adafruit_SSD1306 _screen=Adafruit_SSD1306(128, 64, &Wire, -1);
	Sensors *_sensors;
	int _sdaPin, _sclPin;

	void writeTemperature();

  public:
	Screen(Sensors *sensors, int sdaPin, int sclPin);
	void setup();
	void update();
};

#endif